For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
kinetk.ai
DocumentationAPI Reference
  • API Reference
    • GETHealth + sync-freshness probe
    • GETTop precomputed narratives for a window
    • GETFiltered search over precomputed narratives
    • GETDrill into one precomputed narrative
    • GETBatch creator lookup
    • GETDrill into one creator
    • POSTSubmit an async intelligence job
    • GETPoll an async job — status + final result
kinetk.ai
API Reference

Health + sync-freshness probe

GET
/health
GET
/graph/health
$curl https://api.kinetk.ai/graph/health \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "status": "ok",
3 "stage": "prod",
4 "db": "connected",
5 "sync": {
6 "lastRunAt": "2024-06-10T14:45:00Z",
7 "minutesSinceLastRun": 5,
8 "isStale": false,
9 "lastCycle": {
10 "processedCount": 1250,
11 "insertedCount": 1200,
12 "durationMs": 3500
13 },
14 "today": {
15 "processedCount": 8500,
16 "insertedCount": 8300
17 }
18 },
19 "durationMs": 45,
20 "timestamp": "2024-06-10T14:50:00Z",
21 "dbError": ""
22}

Liveness probe with DB connectivity and ingestion freshness. Returns 503 when the DB is unreachable.

Was this page helpful?

Top precomputed narratives for a window

Next
Built with

Authentication

x-api-keystring

API Gateway API key. Required on every endpoint. Missing or wrong → 403.

Response

Service is healthy
statusenum
Allowed values:
stagestring
dbenum
Allowed values:
syncobject
durationMsinteger
timestampdatetime
dbErrorstring

Errors

503
Service Unavailable Error